Assure UI portal upgrade and portal application compatibility considerations - Assure_DB2_Data_Monitor_(DB2MON) - Assure_Elevated_Authority_Manager_(EAM) - Assure_Encryption - Assure_Monitoring_and_Reporting_(AMR) - Assure_Secure_File_Transfer - Assure_Secure_File_Transfer_ - Assure_Secure_File_Transfer_PGP - Assure_Secure_File_Transfer_with_PGP - Assure_Security_Multi-Factor_Authentication_(MFA) - Assure_System_Access_Manager_(SAM) - Required_for_All_Modules - assure_ioptimize - assure_itera - assure_mimix - 10.0

License Manager for IBM i Products

Product type
Software
Portfolio
Integrate
Product family
Assure
Product
Assure Security > Assure Monitoring and Reporting (AMR)
Assure Security > Assure Elevated Authority Manager (EAM)
Assure Security > Assure DB2 Data Monitor (DB2MON)
Assure iOptimize
Assure Security > Assure System Access Manager (SAM)
Assure Security > Required for All Modules
Assure Security > Assure Secure File Transfer with PGP
Assure Security > Assure Encryption
Assure Security > Assure Secure File Transfer
Assure iTERA
Assure MIMIX™ Software
Assure Security > Assure Security Multi-Factor Authentication (MFA)
Version
10.0
Language
English
Product name
Assure
Title
License Manager for IBM i Products
Copyright
2023
First publish date
1999
ft:lastEdition
2024-03-12
ft:lastPublication
2024-03-12T10:20:27.187870
For Precisely products that provide a portal application for the Assure Unified Interface (Assure UI portal), be aware that software installation processes for the product may also install the server for the portal and a portal application on the same systems as the product.
  • Default options in a product’s installation wizard will automatically install or upgrade (if needed) the portal server on the same systems as the product, as well as the portal application if the product supports one.

  • Installing a product using native user interface commands does not install or upgrade the portal server. Command-based installation processes will restore the latest portal application, if one exists for the product, to the IBM i systems regardless of whether or not the Assure UI server is installed. Command-based installation processes do not automatically make the restored portal application available for use (deploy it) to an existing Assure UI server.

If the Assure UI server, or an earlier VSP server (version 3.0. 3.1, or 3.2) exists on the system when you install or upgrade the Assure UI server, be aware of the following:

  • User access to multiple products via the portal is not available while the wizard runs. While the wizard runs, the Assure UI portal (or VSP) is temporarily not available to its existing users. Users will not be able to access any Precisely products from the portal until after the installation process completes.
  • Earlier versions of portal applications do not function with version 10.0. Portal applications currently deployed on an existing 3.2 Assure UI server or an earlier 3.1 or 3.0 VSP server are not compatible with version 10.0 of the Assure UI portal. The first time the earlier AUI or VSP server is upgraded to this version of the Assure UI server, you must take one or more of these actions to ensure that existing users of the portal applications deployed on the server will continue to have a functional environment after the server is upgraded:
    • If the Assure UI server is ended, the product’s installation wizard will upgrade an existing earlier version of the AUI or VSP server and will upgrade that product’s portal application to a compatible level. However, deployed portal applications for other products must be manually upgraded to levels compatible with AUI version10.0. You can upgrade portal applications as follows:
      • For an Assure UI server on an IBM i platform, use the product’s installation wizard and select the “portal application” option to upgrade a portal application.
      • For an Assure UI server on a Windows platform, use the product’s portal application-specific installation wizard for Windows.
        Note: If the Assure UI server runs on a Windows platform and you also have MIMIX for AIX 5.2 portal application deployed, the MIMIX for AIX portal application is not compatible with Assure UI 10.0.01.00 and you may need to maintain multiple servers.
    • If a deployed portal application cannot be updated to a level compatible with version 10.0, you may need to maintain multiple servers, one for version 10.0 functionality, and an earlier version to support the portal applications you cannot upgrade. A portal application that cannot be upgraded to a 10.0-compatible level requires that you maintain an earlier server version. If you require multiple Assure UI servers, they must be on different systems.
  • Windows-only considerations. When you use the Assure UI server or an older VSP server on Windows, be aware of the following:
    • This product installation wizard does not install or upgrade the VSP or Assure UI server or any portal applications on Windows.
    • A VSP server on a Windows platform that does not support 64-bit applications cannot be upgraded to version 10.0 of the Assure UI server. Install the Assure UI server on a supported Windows platform. If you require portal applications on the server, use the product’s portal application-specific installation wizard to install and deploy them on the new server.
    • A VSP server or Assure UI server on a Windows platform supports portal applications for Precisely products that run on AIX and IBM i systems. Upgrading the Assure UI server on Windows to support access to products that run on IBM i may affect the AIX products, too. The MIMIX for AIX versions 5.1 and 5.2 portal applications are not compatible with version 10.0 and will not function if deployed on a VSP server that is upgraded to version 10.0 of the Assure UI server.
      Table 1. Version 10.0 Assure UI portal server-compatible product portal applications

      Compatible Portal Application

      Assure UI server version 10.0
      Assure MIMIX 10.0
      Assure iOptimize 10.0
      MIMIX for AIX 5.2 Not supported

      The Assure UI server supports the indicated versions of AIX portal applications only on AIX or Windows platforms.

      Earlier server/portal application compatibility:

      • Assure MIMIX 9.0 and Assure iOptimize 9.0 portal applications are compatible with Assure UI server 3.2. For each product, the 9.0.30.00 or higher portal application requires Assure UI 3.2.30.00 or higher.
      • MIMIX 8.1.11.00 and higher, and iOptimize 8.1.11.00 and higher, portal applications are compatible with VSP server 3.1.
      • MIMIX 8.1.01.00 through 8.1.10.00, and iOptimize 8.1.01.00 through 8.1.10.00, portal applications are compatible with VSP server 3.0.
      • MIMIX for AIX 5.2.03 and later portal application is supported on AUI 3.2.36 and higher. MIMIX for AIX 5.2.02 and earlier portal application is supported on AUI 3.2.31 and lower. The MIMIX for AIX 5.2 portal application supports connecting to Assure MIMIX HA for AIX 5.2 and Assure MIMIX DR for AIX product nodes.
      • MIMIX for AIX 5.1 portal application is supported on VSP server 3.1.
      • Double-Take for AIX 5.0 portal application is supported on VSP server 3.0.

After version 10.0 Assure UI server is installed, you can upgrade the MIMIX or iOptimize portal applications to version 10.0-compatible levels without having to upgrade their respective product instances on IBM i systems.

Once installed and deployed, portal applications can connect to and manage multiple instances of their respective products. Product instances on the IBM i server to which a product portal application connects may be at different versions. For example, the version 10.0 portal applications for MIMIX and iOptimize support connecting to versions 10.0 and 9.0 instances of their respective products. For more information, see the Assure Unified Interface User’s Guide.